%define curses_include_dir  %{_includedir}/ncursesw

Summary:        CONE mail reader
Name:           cone
Version:        0.89
Release:        1%{?dist}

URL:            http://www.courier-mta.org/cone/
Source0:        http://dl.sf.net/courier/%{name}-%{version}.tar.bz2
Source1:        http://dl.sf.net/courier/%{name}-%{version}.tar.bz2.sig
License:        GPLv3
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  aspell-devel libxml2-devel
BuildRequires:  zlib-devel openssl-devel fam-devel perl
BuildRequires:  openssl-perl
BuildRequires:  ncurses-devel >= 5.3
BuildRequires:  gawk
BuildRequires:  procps

Requires(post): %{__perl}

%description
CONE is a simple, text-based E-mail reader and writer.

%package devel
Group:          Development/Libraries
Summary:        LibMAIL mail client development library
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package the header files and library files for developing
application using LibMAIL - a high level, C++ OO library for mail clients.

%package doc
Group:          Documentation
Summary:        Documentation for the CONE email client

%description doc
CONE is a simple, text-based E-mail reader and writer.  This package
contains a large amount of documentation for CONE.

%prep
%setup -q

%build
CPPFLAGS="$CPPFLAGS -I%{curses_include_dir}"
export CPPFLAGS

# Note: The build breaks with --disable-static
CFLAGS="$RPM_OPT_FLAGS" %configure --with-devel --enable-shared
%{__make} -k %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__install} sysconftool $RPM_BUILD_ROOT%{_datadir}/cone/cone.sysconftool
touch $RPM_BUILD_ROOT%{_sysconfdir}/cone

# Remove dupe copies of doc/html from the install tree.
( cd cone/html && \
    find . -type f -exec rm -f $RPM_BUILD_ROOT%{_datadir}/cone/{} \; )

%preun
if [ "$1" = 0 ]; then
    mv %{_sysconfdir}/cone %{_sysconfdir}/cone.rpmsave
fi

%pre
if [ "$1" = 1 -a -f %{_sysconfdir}/cone.rpmsave -a ! -f %{_sysconfdir}/cone ]
then
    mv %{_sysconfdir}/cone.rpmsave %{_sysconfdir}/cone
fi

%post
%{__perl} %{_datadir}/cone/cone.sysconftool %{_sysconfdir}/cone.dist > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(644,root,root) %{_sysconfdir}/cone.dist
%ghost %verify(user group mode) %attr(644,root,root) %{_sysconfdir}/cone
%{_bindir}/*
%{_libexecdir}/cone
%{_datadir}/cone
%{_mandir}/man1/*
#%{_libdir}/*.so
%doc ABOUT-NLS ChangeLog README NEWS AUTHORS COPYING COPYING.GPL

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_mandir}/man[35]/*
%{_includedir}/libmail

%files doc
%defattr(-,root,root)
%doc cone/html

%changelog
* Thu Nov 03 2011 Nux <rpm@li.nux.ro> - 0.89-1
- update to 0.89 for EL6.

* Mon Dec 13 2010 Steven Pritchard <steve@kspei.com> 0.84-1
- Update to 0.84.

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.78-3
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.78-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.78-1
- Update to 0.78 (resolves BZ#496421, BZ#426952).
- Dropped cone-gcc44.patch (merged upstream).

* Sun Apr 19 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.75-5
- Updated cone-gcc44.patch according to upstream wishes.

* Sat Apr 18 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.75-4
- Fix FTBFS: added cone-gcc44.patch

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.75-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> 0.75-2
- rebuild with new openssl

* Thu Jul 10 2008 Steven Pritchard <steve@kspei.com> 0.75-1
- Update to 0.75.

* Sat Mar 29 2008 Christopher Aillon <caillon@redhat.com> - 0.74-3
- Add compilation patch for GCC 4.3; add proper C++ #includes

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.74-2
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Steven Pritchard <steve@kspei.com> 0.74-1
- Update to 0.74.
- Update License (now GPLv3).

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.71-5
- BR gawk.
- and procps.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.71-3
- Rebuild for selinux ppc32 issue.

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 0.71-2
- Rebuild for RH #249435

* Tue Jul 24 2007 Steven Pritchard <steve@kspei.com> 0.71-1
- Update to 0.71.

* Mon Apr 09 2007 Steven Pritchard <steve@kspei.com> 0.69-1
- Update to 0.69.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 0.68-2
- Rebuild.

* Tue Aug 01 2006 Steven Pritchard <steve@kspei.com> 0.68-1
- Update to 0.68.
- Drop cone-0.66.20060203-compile.patch.

* Sat Feb 04 2006 Steven Pritchard <steve@kspei.com> 0.66.20060203-1
- Update to 0.66.20060203 (development snapshot, needed to fix compilation
  with g++ 4.1)
- Patch a few more g++ 4.1 issues

* Thu Feb 02 2006 Steven Pritchard <steve@kspei.com> 0.66-1
- Update to 0.66
- Spec cleanup (reformatting)

* Mon Nov 14 2005 Steven Pritchard <steve@kspei.com> 0.65-3
- Disabling static library creation breaks the build

* Mon Nov 14 2005 Steven Pritchard <steve@kspei.com> 0.65-2
- Rebuild

* Thu Aug 04 2005 Steven Pritchard <steve@kspei.com> 0.65-1
- Update to 0.65

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.64-5
- disable explicit gcc-c++/libstdc++-devel BR and bump for another
  rebuild attempt

* Sat May 28 2005 Steven Pritchard <steve@kspei.com> 0.64-4
- rebuild

* Thu May 26 2005 Jeremy Katz <katzj@redhat.com> - 0.64-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.64-2
- rebuilt

* Wed Mar 02 2005 Steven Pritchard <steve@kspei.com> 0.64-1
- Update to 0.64

* Wed Feb 23 2005 Steven Pritchard <steve@kspei.com> 0.63-1
- Update to 0.63
- Include signature file with the source rpm
- Drop GCC 3.4 patch (already included upstream)

* Fri Nov 12 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.60-2
- Fix addressbookget.C for GCC 3.4.

* Thu Jul 15 2004 Steven Pritchard <steve@kspei.com> 0:0.60-0.fdr.1
- Update to 0.60
- Re-enable sysconftool
- Eliminate duplicate html documentation
- Other minor changes from upstream spec
- Add explicit Epoch to make rpmlint happier
- Split html documentation into separate -doc subpackage

* Wed Apr 14 2004 Steven Pritchard <steve@kspei.com> 0.58-0.fdr.1
- Remove html docs from %doc.  They're all in /usr/share/cone already.

* Tue Apr 13 2004 Steven Pritchard <steve@kspei.com> 0.58-0.fdr.0
- Update to 0.58
- More spec cleanup (s/BuildPreReq/BuildRequires/, -devel Requires
  version-release, generate the config file in install instead of
  post).  Suggestions from Warren Togami.
- Enable SMP builds
- Use RPM_OPT_FLAGS

* Tue Apr 06 2004 Steven Pritchard <steve@kspei.com> 0.57.20040327-0.fdr.1
- Spec cleanup

* Sun Apr 04 2004 Steven Pritchard <steve@kspei.com> 0.57.20040327-0.fdr.0
- Recompile for FC1 using the spec included with the source

* Mon Sep  1 2003 Mr. Sam <sam@email-scan.com>
- Fix for Red Hat 9+

* Sat Jul 26 2003 Mr. Sam 0.52
- Use wide-char compatible ncurses in current RH Beta.

* Wed Mar  5 2003 Mr. Sam <mrsam@courier-mta.com>
- Initial build.
